import "package:dart_chainsql_api/dart_chainsql_api.dart";
import 'package:dart_chainsql_api/src/utils/Util.dart';
import 'dart:convert' as convert;


void main() {
  String userSecret = "xnnUqirFepEKzVdsoBKkMf577upwT";

  Wallet wallet = Chainsql.generateAddressFromStr(userSecret);
  String plainText = "hello,you";
  var res = Chainsql.eciesEncrypt(convert.utf8.encode(plainText), wallet.publicKey);
  print("encrypted:" + Util.formatBytesAsHexString(res));
  var dec = Chainsql.eciesDecrypt(res, userSecret);
  var strDec = convert.utf8.decode(dec);
  print("decrypted:" + strDec);

  String hexPlainText = Util.formatHexStringFromString(plainText);

  print("hexPlainText : " +hexPlainText );
  var encryptHexStr = Chainsql.eciesEncryptFromString(plainText, wallet.publicKey);

  var plainHexStr = Chainsql.eciesDecryptFromHexString(encryptHexStr, wallet.secret);

  assert(plainHexStr == hexPlainText);

  assert(plainText == strDec);
}
